/*! *****************************************************************************
SPDX-License-Identifier: Apache-2.0


Copyright (c) Mycroft AI Inc. All rights reserved.
Licensed under the Apache License, Version 2.0 (the "License"); you may not use
this file except in compliance with the License. You may obtain a copy of the
License at http://www.apache.org/licenses/LICENSE-2.0

THIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED
WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,
MERCHANTABLITY OR NON-INFRINGEMENT.

See the Apache Version 2.0 License for specific language governing permissions
and limitations under the License.
***************************************************************************** */

import { A11yModule } from '@angular/cdk/a11y';
import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FlexLayoutModule } from '@angular/flex-layout';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { MatButtonModule } from '@angular/material/button';
import { MatCardModule } from '@angular/material/card';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatInputModule } from '@angular/material/input';
import { MatStepperModule } from '@angular/material/stepper';

import { FontAwesomeModule } from '@fortawesome/angular-fontawesome';

import { AgreementStepComponent } from './agreement-step/agreement-step.component';
import { AuthenticationStepComponent } from './authentication-step/authentication-step.component';
import { LoginModule } from '../login/login.module';
import { NewAccountComponent } from './new-account.component';
import { SharedModule } from '../../shared/shared.module';
import { SharedModule as SeleneModule} from 'shared';
import { ApiService } from '../../core/http/api.service';


@NgModule({
    declarations: [
        AgreementStepComponent,
        AuthenticationStepComponent,
        NewAccountComponent,
    ],
    imports: [
        CommonModule,
        A11yModule,
        FlexLayoutModule,
        FontAwesomeModule,
        FormsModule,
        LoginModule,
        MatButtonModule,
        MatCardModule,
        MatInputModule,
        MatFormFieldModule,
        MatStepperModule,
        SharedModule,
        ReactiveFormsModule,
        SeleneModule
    ],
    providers: [
        ApiService,
    ],
})
export class NewAccountModule { }
